=== debian/changelog ===
u1db (0.1.4-2~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy-backports.

 -- Micah Anderson <micah@debian.org>  Thu, 24 Oct 2013 11:58:44 -0400

u1db (0.1.4-2) unstable; urgency=low

  * Patch FindJSON.cmake to fix multiarch FTBFS (Closes: #708992)
  * Patch u1db_query.c to fix segfault (Closes: #713795)

 -- Micah Anderson <micah@debian.org>  Sun, 23 Jun 2013 13:19:37 -0400

u1db (0.1.4-1) unstable; urgency=low

  * Bump compat version to 9, updating debian/control
  * Initial import from ubuntu (Closes: #707625)

 -- Micah Anderson <micah@debian.org>  Thu, 09 May 2013 11:56:47 -0400

u1db (0.1.4-0ubuntu2) raring; urgency=low

  * debian/control:
    - Add new u1db-tools package for extra tool scripts.
    - Remove unneeded build dependencies.
    - Be more explicit with deps on the python-u1db package.
  * debian/rules:
    - Don't remove the extra tool scripts on install.
    - Don't support building on Lucid any longer.
  * debian/u1db-tools.install:
    - Add install file for extra tool scripts package.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Nov 2012 15:06:25 -0500

u1db (0.1.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Improvements to documentation.
    - Improvements to tests, and allow tests to be more reusable.
    - Improvements to synchronization support and authentication. 

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 03 Oct 2012 16:24:15 -0400

u1db (0.1.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Updated documentation.
  * debian/watch:
    - Update watch file to use glob for compression format.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 29 Aug 2012 15:07:41 -0400

u1db (0.1.1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Require ca-certificates package for the tests.
  * debian/rules:
    - Use check-nodoc rule instead of check-valgrind, to build on ppc.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 23 Aug 2012 13:19:42 -0400

u1db (0.1.1-0ubuntu1) quantal; urgency=low

  * Initial packaging for u1db. (LP: #1035392)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 15 Aug 2012 13:22:49 -0400
