=== debian/control ===
Source: u1db
Section: libs
Priority: extra
Build-Depends:
 ca-certificates,
 cmake,
 cython,
 debhelper (>= 9),
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 python-all (>= 2.6.6-3) | python-support (>= 0.6.4),
 python-all-dev (>= 2.6),
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-setuptools,
 python-simplejson,
 python-testscenarios,
 python-testtools
Maintainer: Micah Anderson <micah@debian.org>
Standards-Version: 3.9.4
X-Python-Version: >= 2.6

Package: python-u1db
Section: python
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-simplejson
Description: Ubuntu One structured data storage - Python API
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the Python implementation of the API.

Package: libu1db1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, multiarch-support
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Ubuntu One structured data storage - C API
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the C implementation of the API.

Package: libu1db-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 libu1db1 (= ${binary:Version}),
Description: Ubuntu One structured data storage - C API development files
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes the development files for the u1db C API.

Package: u1db-tools
Section: python
Architecture: any
Depends: ${misc:Depends},
 ${python:Depends},
 python-u1db (= ${source:Version})
Description: ubuntu One structured data storage - Developer Tools
 An API for storing structured data which can be synchronized across a network
 connection, including to the Ubuntu One service.
 .
 This package includes developer tools for working with u1db.
