=== debian/rules ===
#!/usr/bin/make -f

DH_CMAKE_BUILD_DIR=obj-${DEB_BUILD_GNU_TYPE}

%:
	dh $@ --with python2 --buildsystem cmake --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1 -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	LD_LIBRARY_PATH=`pwd`/${DH_CMAKE_BUILD_DIR}/src dh_auto_build -- check-nodoc

override_dh_auto_clean:
	dh_auto_clean
	find . -name \*.pyc -exec rm {} \;
	rm -f src/u1db_schema.c
