=== debian/watch ===
version=3
http://launchpad.net/u1db/+download .*/u1db-([0-9.]+)\.tar\..*
