## u1db 13.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
     COMMAND cd html-docs && make doctest && cd ..
 )
 
-add_custom_target(check-nodoc
+add_custom_target(check-nodoctests
     COMMAND python -m testtools.run discover
     DEPENDS build-inplace-for-tests
 )
@@ -54,17 +54,13 @@
     DEPENDS build-inplace-for-tests doctests
 )
 
-add_custom_target(cdocs
-    COMMAND doxygen html-docs/doxygen.conf
-)
-
 add_custom_target(build-inplace-for-tests
-    COMMAND U1DB_TEST=1 python setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND U1DB_TEST=1 python setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     DEPENDS ReplicatePythonSourceTree u1db
 )
 
 add_custom_target(build-debug-for-tests
-    COMMAND U1DB_TEST=1 python-dbg setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND U1DB_TEST=1 python-dbg setup.py build_ext -i -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     DEPENDS ReplicatePythonSourceTree u1db
 )
 add_custom_target(check-valgrind
@@ -83,7 +79,7 @@
 )
 
 add_custom_target(html-docs
-    COMMAND cd ${CMAKE_SOURCE_DIR}/html-docs; make html
+    COMMAND cd ${CMAKE_SOURCE_DIR}/html-docs \; make html
 )
 
 SET(CPACK_GENERATOR "TGZ")
@@ -92,7 +88,7 @@
 
 add_custom_target(install-python ALL
     # Do NOT build this one in-place
-    COMMAND python setup.py build_ext -f -I ${CMAKE_SOURCE_DIR}/include
+    COMMAND python setup.py build_ext -f -I ${CMAKE_SOURCE_DIR}/include -R ${CMAKE_BINARY_DIR}/src
     COMMAND python setup.py install --prefix=${CMAKE_INSTALL_PREFIX} --root=${CMAKE_CURRENT_BINARY_DIR}/temp
     DEPENDS ReplicatePythonSourceTree u1db
 )
