=== debian/changelog ===
u1db (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Remove upstreamed patches.
  * debian/control, debian/tests:
    - Add autopkgtest config.
  * debian/rules:
    - Add DEB_HOST_MULTIARCH definition check to avoid failing in adt-run.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 20 Sep 2013 15:01:32 -0400

u1db (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/00_bzr-python-rpath.patch:
    - Add patch from bzr to add rpath to cython module for tests.
  * debian/rules:
    - Do not need to set LD_LIBRARY_PATH when rpath is used.
  * debian/libu1db1.symbosl:
    - Update for new symbol addition from 13.05 build.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Aug 2013 11:01:55 -0400

u1db (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control:
    - Update standards version to 3.9.4.
  * debian/rules:
    - Update test rule to use correct rule for tests.
  * debian/watch:
    - Update watch file for new series.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 05 Jun 2013 13:09:08 -0400
