=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  ca-certificates,
  cmake,
  cython,
- debhelper (>= 9),
+ debhelper (>= 7.0.50),
  libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libjson0-dev,
  liboauth-dev,
@@ -21,9 +21,11 @@
  python-simplejson,
  python-testscenarios,
  python-testtools
-Maintainer: Micah Anderson <micah@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
+XS-Testsuite: autopkgtest
 
 Package: python-u1db
 Section: python
