=== debian/tests/control ===
Tests: run-tests
Restrictions: rw-build-tree build-needed allow-stderr
Depends: @,
 cmake,
 cython,
 libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libjson0-dev,
 liboauth-dev,
 libsqlite3-dev,
 python-all (>= 2.6.6-3),
 python-all-dev (>= 2.6),
 python-dirspec,
 python-oauth,
 python-openssl,
 python-paste,
 python-routes,
 python-setuptools,
 python-simplejson,
 python-testscenarios,
 python-testtools
