=== debian/changelog ===
u1db (13.10-6) unstable; urgency=medium

  * Transition to dh_python2 (Closes: #786220)
  * Remove duplicated / inherited Section in debian/control binary package
  * Remove unnecessary explicit multiarch-support from Pre-Depends
  * Fix copyright entry colon
  * Update standards version (no changes)

 -- Micah Anderson <micah@debian.org>  Thu, 21 May 2015 17:07:15 -0400

u1db (13.10-5) unstable; urgency=high

  * Fix incorrect poodle fix from previous version (Closes: #768702)

 -- Micah Anderson <micah@debian.org>  Mon, 24 Nov 2014 15:20:32 -0500

u1db (13.10-4) unstable; urgency=medium

  * Replace SSLv3 with TLSv1 (Closes: #768702)
  * Fix missing Build-deps on linked libraries (Closes: #769755)
  * Add missing dh-python to Build-Depends

 -- Micah Anderson <micah@debian.org>  Sun, 16 Nov 2014 13:04:31 -0500

u1db (13.10-3) unstable; urgency=medium

  * Additional changes to work with json-c (Closes: #753138)

 -- Micah Anderson <micah@debian.org>  Mon, 30 Jun 2014 00:07:26 -0400

u1db (13.10-2) unstable; urgency=medium

  * Add dependency on pkg-config (Closes: #752966)

 -- Micah Anderson <micah@debian.org>  Sat, 28 Jun 2014 00:20:29 -0400

u1db (13.10-1) unstable; urgency=medium

  * Update standards version (no changes)
  * Replace libjson0-dev with libjson-c-dev (Closes: #745015)
  * Update to new upstream version 13.10
    - Remove upstreamed patches
  * debian/libu1db1.symbosl:
    - Update for new symbol addition from 13.05 build.
  * debian/control, debian/tests:
    - Add autopkgtest config.
  * debian/rules:
    - Do not need to set LD_LIBRARY_PATH when rpath is used.
  * Update debian/watch file for new series
  * Add debian/patches/json_object_object_get to fix deprecation 
  * Add debian/patches/CVE-2013-2099 (Closes: #709486)

 -- Micah Anderson <micah@debian.org>  Fri, 20 Jun 2014 09:48:57 -0400
