=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: libs
 Priority: extra
 Build-Depends:
+ dh-python,
  ca-certificates,
  cmake,
  cython,
- debhelper (>= 7.0.50),
+ debhelper (>= 9),
  libcurl4-nss-dev | libcurl4-gnutls-dev | libcurl4-openssl-dev,
- libjson0-dev,
+ libjson-c-dev,
  liboauth-dev,
  libsqlite3-dev,
- python-all (>= 2.6.6-3) | python-support (>= 0.6.4),
- python-all-dev (>= 2.6),
+ python-all (>= 2.6.6-3~), 
+ python-all-dev (>= 2.6.6-3~),
  python-dirspec,
  python-oauth,
  python-openssl,
@@ -20,10 +21,10 @@
  python-setuptools,
  python-simplejson,
  python-testscenarios,
- python-testtools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ubuntu One Developers <ubuntuone-users@lists.launchpad.net>
-Standards-Version: 3.9.4
+ python-testtools,
+ pkg-config
+Maintainer: Micah Anderson <micah@debian.org>
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
 
@@ -45,10 +46,9 @@
  This package includes the Python implementation of the API.
 
 Package: libu1db1
-Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}, multiarch-support
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Description: Ubuntu One structured data storage - C API
