=== debian/watch ===
version=3
http://launchpad.net/u1db/stable-13-10 .*/u1db-([0-9.]+)\.tar\..*
